function d = textmap(map,text)
% d = textmap(map,text)
% creates a cell array of array of integers of text.
% map  : hash table created by hash*() functions
% text : cell array of cell array of strings (as created by textload())
% Thu Sep 30 15:41:52 JST 2004 dmochiha@slt.atr.jp
% $Id: textmap.m,v 1.1 2004/09/30 07:18:18 dmochiha Exp $
n = size(text,2);
d = cell(1,n);
for i = 1:n
  d{i} = hashmap(map,text{i});
  fprintf(1,'mapping %d/%d..\r',i,n);
end
fprintf(1,'\ndone.\n');
